Main Page Widgets Namespaces Book

# Gdk::Cursor Class Reference

List of all members.

## Public Methods

| Cursor ()
| Cursor (GdkCursor* castitem, bool make_a_copy=true)
| Cursor (const Cursor& src)
Cursor& | operator= (const Cursor& src)
| ~Cursor ()
GdkCursor* | gobj ()
const GdkCursor* | gobj () const
GdkCursor* | gobj_copy () const
| Cursor (CursorType cursor_type)
| Cursor (const Glib::RefPtr<Pixmap>& source, const Glib::RefPtr<Pixmap>& mask, const Color& fg, const Color& bg, int x, int y)

## Protected Attributes

GdkCursor* | gobject_

## Related Functions

(Note that these are not member functions.)
Gdk::Cursor | wrap (GdkCursor* object, bool take_copy=false)

## Constructor & Destructor Documentation

Gdk::Cursor::Cursor | ( |  | ) |

Gdk::Cursor::Cursor | ( | GdkCursor* | castitem,
|  | bool | make_a_copy = true
| ) | `[explicit]`

Gdk::Cursor::Cursor | ( | const Cursor& | src | ) |

Gdk::Cursor::~Cursor | ( |  | ) |

Gdk::Cursor::Cursor | ( | CursorType | cursor_type | ) |

Gdk::Cursor::Cursor | ( | const Glib::RefPtr<Pixmap>& | source,
|  | const Glib::RefPtr<Pixmap>& | mask,
|  | const Color& | fg,
|  | const Color& | bg,
|  | int | x,
|  | int | y
| ) |

## Member Function Documentation

const GdkCursor* Gdk::Cursor::gobj | ( |  | ) | const`[inline]`

GdkCursor* Gdk::Cursor::gobj | ( |  | ) | `[inline]`

GdkCursor* Gdk::Cursor::gobj_copy | ( |  | ) |

Cursor& Gdk::Cursor::operator= | ( | const Cursor& | src | ) |

## Friends And Related Function Documentation

Gdk::Cursor wrap | ( | GdkCursor* | object,
|  | bool | take_copy = false
| ) | `[related]`

## Member Data Documentation

GdkCursor* Gdk::Cursor::gobject_`[protected]`

The documentation for this class was generated from the following file:

- cursor.h